#require: libnspr, libnss, pam

Summary: PAM module and utility to login using Mozilla digital certificates.
Name: nss_login
Version: 0.5
Release: 1
Copyright: Custom
Group: System
Source: nss_login-0.5.tar.gz
BuildRoot:  %{_tmppath}/%{name}-buildroot

%description
PAM module and utility to login using Mozilla digital certificates.

%define pammod_dir      /lib/security

%prep
%setup

%build
#make -f Makefile.cvs
#./configure --prefix=%{_tmppath}/%{name}-buildroot/usr/ --sbindir=%{_tmppath}/%{name}-buildroot/usr/sbin --with-pam-lib-dir=%{_tmppath}/%{name}-buildroot/lib/security --with-nss-includes=/usr/local/nss/include --with-nss-libs=/usr/local/nss/lib
#nfigure --with-nss-includes=/usr/include/mozilla-1.7.3/nss --with-nss-libs=/usr/lib/mozilla --with-nspr-includes=/usr/include/mozilla-1.7.3/nspr/ --with-nspr-libs=/usr/lib/mozilla --with-pam-lib-dir=%{buildroot}/lib/security
%configure --with-nss-includes=/usr/local/nss/include --with-nss-libs=/usr/local/nss/lib --with-nspr-includes=/usr/include/mozilla-1.7.3/nspr --with-nspr-libs=/usr/lib/mozilla --with-pam-lib-dir=%{buildroot}%{pammod_dir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(750, root, root)
%{_sbindir}/nssauth

%defattr(755, root, root)
%{pammod_dir}/pam_nss.so
